umbrello: CodeGenPolicyExt Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CodeGenPolicyExt Class Referenceabstract

`#include <codegenpolicyext.h>`

Inheritance diagram for CodeGenPolicyExt:

## Public Member Functions
| CodeGenPolicyExt ()
virtual | ~CodeGenPolicyExt ()
virtual CodeGenerationPolicyPage * | createPage (QWidget *parent=0, const char *name=0)=0
virtual void | setDefaults (bool emitUpdateSignal=true)=0

## Detailed Description

Base class for programming language specific code generation policy extensions. Not to be confused with CodeGenerationPolicy which contains the programming language independent policies.

Author
  Oliver Kellogg okell.nosp@m.ogg@.nosp@m.users.nosp@m..sou.nosp@m.rcefo.nosp@m.rge..nosp@m.net Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ CodeGenPolicyExt()

CodeGenPolicyExt::CodeGenPolicyExt | ( |  | ) |
| inline

## ◆ ~CodeGenPolicyExt()

virtual CodeGenPolicyExt::~CodeGenPolicyExt | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ createPage()

virtual CodeGenerationPolicyPage * CodeGenPolicyExt::createPage | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |
| pure virtual

Implemented in CPPCodeGenerationPolicy, DCodeGenerationPolicy, JavaCodeGenerationPolicy, and RubyCodeGenerationPolicy.

## ◆ setDefaults()

virtual void CodeGenPolicyExt::setDefaults | ( | bool | emitUpdateSignal = `true` | ) |
| pure virtual

Implemented in CPPCodeGenerationPolicy, DCodeGenerationPolicy, JavaCodeGenerationPolicy, and RubyCodeGenerationPolicy.

The documentation for this class was generated from the following file:

- umbrello/codegenerators/codegenpolicyext.h